import { ElementRef } from '@angular/core';
import { FormControlDirective } from '@angular/forms';
import { AbstractValidateElementDirective } from '../abstract-validate-element.directive';
import { ValidateConfigService } from '../validate-config.service';
import { NgFormValidateDirective } from '../template-forms/ng-form-validate.directive';
import * as i0 from "@angular/core";
export declare class FormControlValidateDirective extends AbstractValidateElementDirective {
    protected elementRef: ElementRef<HTMLElement | HTMLInputElement>;
    protected config: ValidateConfigService;
    protected ngControl: FormControlDirective;
    protected ngFormValidate: NgFormValidateDirective;
    protected document: Document;
    errorMessage?: Record<string, string>;
    constructor(elementRef: ElementRef<HTMLElement | HTMLInputElement>, config: ValidateConfigService, ngControl: FormControlDirective, ngFormValidate: NgFormValidateDirective, document: Document);
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlValidateDirective, [null, null, { self: true; }, { optional: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormControlValidateDirective, "[formControl]", never, { "errorMessage": "errorMessage"; }, {}, never>;
}
